"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var zod_1 = require("@hookform/resolvers/zod");
var expo_router_1 = require("expo-router");
var React = __importStar(require("react"));
var react_hook_form_1 = require("react-hook-form");
var react_native_flash_message_1 = require("react-native-flash-message");
var zod_2 = require("zod");
var api_1 = require("@/api");
var ui_1 = require("@/components/ui");
var schema = zod_2.z.object({
    title: zod_2.z.string().min(10),
    body: zod_2.z.string().min(120),
});
function AddPost() {
    var _a = (0, react_hook_form_1.useForm)({
        resolver: (0, zod_1.zodResolver)(schema),
    }), control = _a.control, handleSubmit = _a.handleSubmit;
    var _b = (0, api_1.useAddPost)(), addPost = _b.mutate, isPending = _b.isPending;
    var onSubmit = function (data) {
        console.log(data);
        addPost(__assign(__assign({}, data), { userId: 1 }), {
            onSuccess: function () {
                (0, react_native_flash_message_1.showMessage)({
                    message: 'Post added successfully',
                    type: 'success',
                });
                // here you can navigate to the post list and refresh the list data
                //queryClient.invalidateQueries(usePosts.getKey());
            },
            onError: function () {
                (0, ui_1.showErrorMessage)('Error adding post');
            },
        });
    };
    return (<>
      <expo_router_1.Stack.Screen options={{
            title: 'Add Post',
            headerBackTitle: 'Feed',
        }}/>
      <ui_1.View className="flex-1 p-4 ">
        <ui_1.ControlledInput name="title" label="Title" control={control} testID="title"/>
        <ui_1.ControlledInput name="body" label="Content" control={control} multiline testID="body-input"/>
        <ui_1.Button label="Add Post" loading={isPending} onPress={handleSubmit(onSubmit)} testID="add-post-button"/>
      </ui_1.View>
    </>);
}
exports.default = AddPost;
//# sourceMappingURL=add-post.js.map