"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// source https://kirillzyusko.github.io/react-native-keyboard-controller/docs/api/components/keyboard-aware-scroll-view
/**
 * This component is used to handle the keyboard in a modal.
 * It is a wrapper around the `KeyboardAwareScrollView` component from `react-native-keyboard-controller`.
 * It is used to handle the keyboard in a modal.
 * example usage:
      export function Example() {
        return (
          <Modal>
            <BottomSheetKeyboardAwareScrollView>
            </BottomSheetKeyboardAwareScrollView>
          </Modal>
        );
        }
 */
var bottom_sheet_1 = require("@gorhom/bottom-sheet");
var react_1 = require("react");
var react_native_keyboard_controller_1 = require("react-native-keyboard-controller");
var react_native_reanimated_1 = __importDefault(require("react-native-reanimated"));
var AnimatedScrollView = react_native_reanimated_1.default.createAnimatedComponent(react_native_keyboard_controller_1.KeyboardAwareScrollView);
var BottomSheetScrollViewComponent = (0, bottom_sheet_1.createBottomSheetScrollableComponent)(bottom_sheet_1.SCROLLABLE_TYPE.SCROLLVIEW, AnimatedScrollView);
var BottomSheetKeyboardAwareScrollView = (0, react_1.memo)(BottomSheetScrollViewComponent);
BottomSheetKeyboardAwareScrollView.displayName =
    'BottomSheetKeyboardAwareScrollView';
exports.default = BottomSheetKeyboardAwareScrollView;
//# sourceMappingURL=modal-keyboard-aware-scroll-view.js.map