"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var kakao_symbol_1 = require("./icons/kakao-symbol");
var apple_symbol_1 = require("./icons/apple-symbol");
var google_symbol_1 = require("./icons/google-symbol");
var button_1 = __importDefault(require("./button"));
var SOCIAL_PRESETS = {
    kakao: {
        backgroundColor: 'yellow-400',
        textColor: 'black',
        icon: <kakao_symbol_1.KakaoSymbolIcon />,
        text: '카카오톡으로 시작하기',
    },
    apple: {
        backgroundColor: 'black',
        textColor: 'white',
        icon: <apple_symbol_1.AppleSymbolIcon />,
        text: '애플로 시작하기',
    },
    google: {
        backgroundColor: 'white',
        textColor: 'black',
        icon: <google_symbol_1.GoogleSymbolIcon />,
        text: '구글로 시작하기',
    },
};
function SocialButton(_a) {
    var type = _a.type, onPress = _a.onPress, disabled = _a.disabled, loading = _a.loading, className = _a.className;
    var preset = SOCIAL_PRESETS[type];
    return (<button_1.default disabled={disabled} border={type === 'google'
            ? { borderWidth: '1', borderColor: 'gray-300' }
            : { borderWidth: '0', borderColor: 'transparent' }} loading={loading} text={preset.text} backgroundColor={preset.backgroundColor} textColor={preset.textColor} radius="rounded-xl" onPress={onPress} className={className} leftIcon={{
            icon: preset.icon,
            gap: 8,
        }}/>);
}
exports.default = SocialButton;
//# sourceMappingURL=social-button.js.map